%global commit_hash 4d362c3

Name:           blink1
# lol releasing code as versions, who does that
Version:        0
Release:        1.20130129git%{commit_hash}%{?dist}
Summary:        Command line tools to control the blink(1) USB RGB LED by ThingM

License:        LGPLv3+
URL:            http://thingm.com/products/blink-1.html
# Generated:
#   git clone git://github.com/todbot/blink1.git; cd blink1
#   git archive --prefix=blink1-%%{commit_hash}/ -o blink1-%%{commit_hash}.tar %%{commit_hash}
#   bzip2 -9 blink1-%%{commit_hash}.tar
Source0:        blink1-%{commit_hash}.tar.bz2
Patch0:         blink1-commandline-makefile.patch
Patch1:         blink1-server-simple-mongoose.patch

BuildRequires:  libusbx-devel
BuildRequires:  mongoose-devel

%description
blink(1) is a super status light: it packs three dimensions of information
(color, brightness and pattern) into a single tiny package that fits into any
USB port on nearly every device. It makes it incredibly easy to connect any
data source in the cloud or on your computer to a full-color RGB LED so you can
know what's happening without checking any windows, going to any websites or
typing any commands.

This package contains tools to send commands to the blink(1).


%package scripts
Summary:        Scripts to control the blink(1) USB RGB LED by ThingM
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description scripts
blink(1) is a super status light: it packs three dimensions of information
(color, brightness and pattern) into a single tiny package that fits into any
USB port on nearly every device. It makes it incredibly easy to connect any
data source in the cloud or on your computer to a full-color RGB LED so you can
know what's happening without checking any windows, going to any websites or
typing any commands.

This package contains various scripts to make the blink(1) useful for different
tasks.


%package minimal
Summary:        Minimal software to control the blink(1) USB RGB LED by ThingM
# minimal package should not require base package

%description minimal
blink(1) is a super status light: it packs three dimensions of information
(color, brightness and pattern) into a single tiny package that fits into any
USB port on nearly every device. It makes it incredibly easy to connect any
data source in the cloud or on your computer to a full-color RGB LED so you can
know what's happening without checking any windows, going to any websites or
typing any commands.

This package contains a minimal program, blink1raw.


%prep
%setup -qn %{name}-%{commit_hash}
# remove -static from commandline/Makefile
%patch0 -p1
# bundled library: mongoose
%patch1 -p1
rm -rf commandline/mongoose
# FIXME: need to rm -rf commandline/hidapi and fix makefile (waiting on bz 877694)


%build
make -C commandline blink1-tool blink1-server-simple
make -C commandline/blink1raw


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
# base package
install -p commandline/blink1-tool %{buildroot}%{_bindir}
install -p commandline/blink1-server-simple %{buildroot}%{_bindir}
install -pm 644 linux/51-blink1.rules %{buildroot}%{_sysconfdir}/udev/rules.d
# scripts package
install -p linux/*.pl %{buildroot}%{_bindir}
install -p linux/contrib/*.sh %{buildroot}%{_bindir}
install -p linux/contrib/*.pl %{buildroot}%{_bindir}
# minimal package
install -p commandline/blink1raw/blink1raw %{buildroot}%{_bindir}


%files
%doc docs/LICENSE linux/README.md
%{_bindir}/blink1-tool
%{_bindir}/blink1-server-simple
%config(noreplace) %{_sysconfdir}/udev/rules.d/51-blink1.rules


%files scripts
%doc linux/contrib/README.md
%{_bindir}/url-to-blink1.pl
%{_bindir}/whocount-to-blink1.pl
%{_bindir}/blink1-webcam-busylight.sh
%{_bindir}/cheerlights-to-blink1.pl
%{_bindir}/gmail-to-blink1.sh
%{_bindir}/load-to-blink1.sh
%{_bindir}/travisci-to-blink1.sh


%files minimal
%doc commandline/blink1raw/README.txt
%{_bindir}/blink1raw


%changelog
* Tue Jan 29 2013 Ian Weller <iweller@redhat.com> - 0-1.20130129git4d362c3
- Initial package build
